<?php

add_action ("admin_menu", "EHTMantisAdminAddPages");

function EHTMantisAdminAddPages ()
{
	if (function_exists ("add_options_page"))
	{
		add_options_page (EHT_MANTIS_PLUGIN_TITLE, 
						  EHT_MANTIS_PLUGIN_TITLE,
						  8, 
						  EHT_MANTIS_PLUGIN_TITLE . "-options", 
						  "EHTMantisAdminOptions");
	}
}

function EHTMantisAdminOptions ()
{
	$action = $_REQUEST[EHT_MANTIS_FIELD_ACTION];
	if ($action == EHT_MANTIS_ACTION_UPDATE)
	{
		$optionUrl = $_REQUEST[EHT_MANTIS_OPTION_URL];
		$optionTargetNew = $_REQUEST[EHT_MANTIS_OPTION_TARGET_NEW];
	}
	else
	{
		$optionUrl = get_option (EHT_MANTIS_OPTION_URL);
		$optionTargetNew = get_option (EHT_MANTIS_OPTION_TARGET_NEW);
	}

	$firstUse = ($optionUrl == "") &&
				($optionTargetNew == "");
	
	$optionTargetNew = (($optionTargetNew == "") ? EHT_MANTIS_NO : EHT_MANTIS_YES);

	if ($action == EHT_MANTIS_ACTION_UPDATE)
	{
        update_option (EHT_MANTIS_OPTION_URL, $optionUrl);
        update_option (EHT_MANTIS_OPTION_TARGET_NEW, $optionTargetNew);
        echo "<div class=\"updated\">The options have been updated.</div>\n";
	}

	echo "<div class=\"wrap\">\n" .
		 "<h2>EHT Mantis</h2>\n" .
		 "<form method=\"post\" action=\"" . str_replace( '%7E', '~', $_SERVER['REQUEST_URI']) . "\">\n" .
		 "<p>Mantis URL (with the end slash):<br>\n" .
		 "<input type=\"text\" name=\"" . EHT_MANTIS_OPTION_URL . "\" value=\"$optionUrl\"></p>\n" .
		 "<p><input type=\"checkbox\" name=\"" . EHT_MANTIS_OPTION_TARGET_NEW . "\" value=\"" . EHT_MANTIS_YES . "\" " . (($optionTargetNew == EHT_MANTIS_YES) ? "checked" : "") . ">\n" .
		 "Open Mantis issue link in a new window</p>\n" .
		 "<p class=\"submit\">\n" .
		 "<input type=\"submit\" name=\"" . EHT_MANTIS_FIELD_ACTION . "\" value=\"" . EHT_MANTIS_ACTION_UPDATE . "\" default>\n" .
		 "</p>\n" .
		 "</form>\n" .
		 "</div>\n" .
		 "<p align=\"center\">" . EHT_MANTIS_PLUGIN_DESCRIPTION . "</p>\n";
}

?>